﻿#Script 5th - #Grab the disk latency and bandwidth counters, for each datastore for a host.
$HostSys = Connect-VIServer -Server 192.168.111.21 -User root -Password esxadmin
$DiskCnt = Get-StatType -Entity (Get-VMHost)  | where {($_ -like "*Latency*") -or ($_ -like "disk.read*" ) -or ($_ -like "disk.write*") }
$DiscStats = Get-Stat -Entity (Get-VMHost) -Realtime -Stat $DiskCnt -ErrorAction SilentlyContinue  
$DSView = Get-Datastore -Entity (Get-VMHost) 
foreach ($EachDSView in $DSView) {
$EachDSViewmor = $EachDSView | Get-View ; $EachDSType = $EachDSViewmor.Info.GetType().Name 
	if ($EachDSType -eq 'VmfsDatastoreInfo')
	{
	$Extents = $EachDSViewmor.Info.Vmfs.Extent
		foreach ($EachExtents in $Extents) {
			$DiskName = $EachExtents.DiskName 
			$DiscStats | where {$_.Instance -like $DiskName } | Export-Csv -Path "C:\Testfile.csv"
			}
	}
}