﻿#Script 4th - #Grab a set of 4 memory counters (active, swapin, swapout, ballooned/memctl) for a VM.
$HostSys = Connect-VIServer -Server 192.168.111.21 -User root -Password esxadmin
$EntityVm = Get-VM -Name "PERM_NS_W2k3SrBase"
$MemCnt = Get-StatType -Entity (Get-VMHost)  | where {($_ -like "mem.active*") -or ($_ -like "mem.swapin*") -or ($_ -like "mem.swapout*") -or ($_ -like "mem.vmmemctl*") } 
Get-Stat -Entity $EntityVm -Realtime -Stat $MemCnt -ErrorAction SilentlyContinue | Export-Csv -Path "C:\Testfile.csv"
